Home > GNU/Linux, Guide pratiche GNU/Linux > Firefox 3.6 su Ubuntu Karmic con l’antialiasing

Firefox 3.6 su Ubuntu Karmic con l’antialiasing

Siccome tutti lo vogliono🙂 ho compilato Firefox 3.6 per Karmic e creato un apposito repository. A differenza di altri in circolazione, questa versione supporta pienamente l’antialiasing perché compilata con libcairo.

Per aggiornare, aggiungere questo repository: ppa:guido-iodice/firefox-3.6 a sorgenti software.

Per l’italiano, scaricate il pacchetto che trovate sul sito di Mozilla Italia: http://www.mozillaitalia.it/home/download/#firefox

Attenzione: non tutte le estensioni e plugin sono ancora compatibili. Firefox 3.6 va a sostituire Firefox 3.5 quindi tenetene conto.

Se ancora i caratteri non sono “belli” seguite questo suggerimento: https://guiodic.wordpress.com/2009/10/27/migliorare-la-resa-dei-caratteri-di-firefox-su-karmic/

Qualora non vi funzionasse Flash, fate così:

1. Create un link al plugin flash nella vostra cartella di mozilla:

mkdir ~/.mozilla/plugins
ln -s /usr/lib/adobe-flashplugin/libflashplayer.so  ~/.mozilla/plugins

2. Riavviate Firefox

Se non vi funziona Java, fate così:

1. Create un link al plugin java:

mkdir ~/.mozilla/plugins
ln -s /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so  ~/.mozilla/plugins

2. Riavviate Firefox

Se non riesci a seguire qualche guida di questo blog, manda una richiesta qui (è gratis):
Serve aiuto?  LQH!

  1. Sax
    27 gennaio 2010 alle 19:48

    Guido, ma dove lo trovi il tempo per fare TUTTO? Sei a Roma, sei a Monopoli, sei sul web a fare campagna a martello, ti occupi di LQH, compili, vai lavorare, e riesci persino ad avere una vita sociale. Come fai? ti fai? 😉

  2. gyanny
    27 gennaio 2010 alle 20:28

    c’è chi dice di averlo visto anche camminare sull’acqua😉

  3. Gelmo
    27 gennaio 2010 alle 21:36

    Scusate l’ignoranza …
    Come faccio per installarlo ?

    P.s.
    Complimenti ! Sei un genio !😉

    • obo
      27 gennaio 2010 alle 22:01

      una volta aggiunto il repository da sorgenti software, aggiorna il sistema e trovi firefox 3.6 tra gli aggiornamenti

      • Gelmo
        27 gennaio 2010 alle 22:13

        L’ho aggiunto,
        ma non me lo aggiorna ..

        • 27 gennaio 2010 alle 22:38

          Sicuro? sei andato sul gestore aggiornamenti?

  4. Umby
    27 gennaio 2010 alle 23:07

    Ma cos’è l’antialiasing in un browser?

    • 27 gennaio 2010 alle 23:20

      l’antialiasing dei caratteri, che in realtà si chiama hinting, per non avere i caratteri “seghettati”.

  5. jacopo
    27 gennaio 2010 alle 23:45

    Grazie.

    Per caso, ti chiedo: hai intenzione di aggiornare il repo nel momento in cui usciranno aggiornamenti per FF 3.6 ?

  6. Alessandro
    28 gennaio 2010 alle 8:32

    Non so se ho fatto tutto correttamente, il gestore aggiornamenti mi ha installato firefox 3.6 che poi sono andato a vedere c’era scritto firefox 3.6 ubuntu modification qualcosa del genere 1.0, quindi è la versione di canonical
    comunque volevo dire che ho anche quella di ubuntuzilla ma rispetto alla tua non è che cambia così tanto in meglio l’antialiasing, anzi mi sembra proprio uguale
    io sulla versione ubuntuzilla avevo modificato un paio di parametri in .fonts.conf
    altri problemi di vista sono imputabili alla scheda video

  7. verbal
    28 gennaio 2010 alle 8:51

    domanduccia
    con ff3.5 avevo due lanciatori per due utenti
    ora che ho aggiornato non mi partono più anche perché i lanciatori facevano riferimento a ff3.5 appunto.
    come demo modificare i comandi dei lanciatori?
    prima erano
    firefox-3.5 -p NOMEUTENTE -no-remote
    ora anche mettendo, al posto di firefox-3.5, firefox-3.6, firefox da solo e altra roba non mi partono più…
    in più, ho scaricato ff in ita, come faccio a sostituirlo a quello in eng?

    • verbal
      28 gennaio 2010 alle 9:26

      per la lingua ho risolto😉

      • alessandro
        28 gennaio 2010 alle 9:30

        hai installato qualche componente aggiuntivo da repository invece che dal sito di mozilla?

    • 28 gennaio 2010 alle 10:48

      metti firefox invece di firefox-3.5

      • verbal
        28 gennaio 2010 alle 13:24

        il lanciatore ha questo comando
        firefox -p Ubuntu -no-remote
        ed è uno dei lanciatori sulla barra awn manager

  8. verbal
    28 gennaio 2010 alle 9:34

    no, perche?
    non riesco solo a far funzionare i profili senza dover accedere al loro pannello

    • Alessandro
      28 gennaio 2010 alle 9:46

      perchè avevo lo stesso problema tuo poi ho scoperto che era causato dall’incompatibilità di greasemonkey dei repo con ff 3.6
      l’ho eliminato, ho messo greasemonkey dal sito di mozilla e tutto è ripartito come prima

      • verbal
        28 gennaio 2010 alle 10:10

        ah no, non credo sia una questione del genere, penso sia solo il comando che è sbagliato…
        spero almeno😉

    • verbal
      29 gennaio 2010 alle 14:05

      alla fine ho disinstallato completamente firefox 3.6 e reinstallato il 3.5.7 e tutto rifunziona…

  9. 28 gennaio 2010 alle 13:52

    Bravo guiodic anch’io come te nel mio modesto bloggino ho messo una versione del buon firefox compilata da me:) e come te ho compilato con libcairo ovviamente per 64 bit:) Bravooooooo

  10. zaptek
    28 gennaio 2010 alle 15:36

    ma non verrà mai inserito firefox 3.6 nel repo ufficiale di ubuntu karmic?

  11. 28 gennaio 2010 alle 18:58

    Non ho capito bene cosa consiste la parola “Antialiasing”?🙂

    • 29 gennaio 2010 alle 17:54

      Se vai un po’ su nei commenti Guiodic l’ha già detto!😀

  12. Alessandro
    29 gennaio 2010 alle 10:33

    è normale che ogni volta che apro firefox mi si apre la finestra dei componenti aggiuntivi? è fastidiosetta come cosa

    • 29 gennaio 2010 alle 10:39

      non è che magari non hai aggiornato tutti i componenti che invece una alla volta? prova a verificare..

      • Alessandro
        29 gennaio 2010 alle 10:44

        ho risolto… era il langpack… manco si disinstallava da safe mode, ho dovuto rimuoverlo manualmente

  13. gyanny
    29 gennaio 2010 alle 23:58

    riguardo a java devo dire che ho avuto dei problemi. perchè non funzionava. ho dato il comando per linkare java quindi così come lo hai postato. anche così non funzionava. perchè nella directory ~/mozilla non esisteva la cartella plugins e quindi mi creava un file plugins che era il link a /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so infatti dando ls -l .mozilla/plugins/ mi riportava “ls: impossibile accedere a .mozilla/plugins/: Nessun file o directory”
    allora l’ho eliminato ho dato prima mkdir ~/mozilla/plugins e poi il comando che hai indicato tu. adesso anche java funziona correttamente.

    • 30 gennaio 2010 alle 0:02

      giusto, in effetti puo’ non esistere quella cartella,

  14. gyanny
    30 gennaio 2010 alle 0:20

    ah, dimenticavo, antialiasing perfetto! mentre quando l’avevo installato dai repo mozilla ppa:mozillateam/firefox-stable faceva pena, e avevo quindi rimosso ff 3.6 per installarlo dai tuoi repo. grazie guido!

  15. rugbista
    30 gennaio 2010 alle 8:47

    Mi dici per favore come compili firefox con l’antialiasing?
    grazie

  16. _BlackEagle_
    1 febbraio 2010 alle 18:45

    mi da problemi con i video su youtube e ho già provato a fare quello che dici ma non cambia nulla…

    • 1 febbraio 2010 alle 20:35

      Se non riesci a seguire qualche guida di questo blog, manda una richiesta qui (è gratis):
      Serve aiuto?  LQH!

  17. 2 febbraio 2010 alle 10:42

    @guiodic

    visto che l’hai compilato, mi sai spiegare perché – ché una ragione deve esserci! – i vari PPA di Firefox (e derivati, vedi Icecat) lo compilano senza supporto all’antialiasing?

    • 2 febbraio 2010 alle 20:07

      credo per non avere noie con i brevetti detenuti da Apple e Microsoft.

  18. 2 febbraio 2010 alle 14:52

    Ciao, io ho installato la tua versione a 64 bit; purtroppo ho un problema: non funziona il tag marquee. Si può correggere nella versione già installata, ho si può rimediare solo ricompilandolo.

    • 2 febbraio 2010 alle 20:10

      non saprei.

      • 3 febbraio 2010 alle 0:37

        Ho provato con una versione standalone di Firefox 3.6 e quel tag funziona come nelle versioni precedenti.
        Cercherò una soluzione, se la trovo vi farò sapere, ciao🙂

        • 3 febbraio 2010 alle 0:42

          sì, se è qualche opzione da passare in fase di compilazione allora rifaccio il pacchetto.

          • 3 febbraio 2010 alle 1:04

            Mi viene il dubbio che sia un problema solo mio; ho provato ad installare firefox da un’altro repository ppa ed il problema mi rimane.
            Qualcuno può controllare se a lui questo tag marquee funziona.
            Grazie, ciao.

          • 3 febbraio 2010 alle 1:07

            a trovarlo un sito con quel tag… sono anni che non lo usa più nessuno.

        • 3 febbraio 2010 alle 11:22

          Sì è un po complicato, bisogna scrivere marquee nella barra di ricerca di google e cliccare sul primo o sul secondo risultato ad esempio questo:

          http://www.webdesigns.it/tutorial/marquee.htm

          Dovrebbe comparire una pagina con molte scritte scorrevoli.

          Purtroppo è ancora usato, i javascript per sostituirlo ci sono ma sono molto pesanti.

          • 3 febbraio 2010 alle 13:46

            nulla, non si muove nulla.

  19. Marco Persinger
    14 febbraio 2010 alle 18:01

    uhm.. io ho “perso” google come motore di ricerca. ho solo ask.com (:
    c’è un modo per rimettere quello originale o devo pre forza ricorrere a componenti aggiuntivi?

  20. 16 febbraio 2010 alle 12:10

    Io per ripristinrlo ho recuperato il file /home/nome_utente/.mozilla/firefox/vkuuxfit.default/searchplugins/google.xml da un altra installazione di Ubuntu. Se non hai un altra installazione di ubuntu prova a vedere se nella cartella .mozilla c’è ne una di buckup di una precedente versione di Firefox.

  21. gyanny
    28 febbraio 2010 alle 19:14

    guido compilacelo anche per lucid per favore! sono passato a lucid e firefox ha dei caratteri che non si possono guardare.
    adesso sto usando opera. sono davvero insopportabili i caratteri di firefox.
    ti prego Obi-Wan Kenobi sei la nostra unica speranza!

    • 28 febbraio 2010 alle 20:58

      per ora usa epiphany😉 e forse non avrai voglia di tornare a firefox!

      • gyanny
        28 febbraio 2010 alle 23:25

        ho provato epiphany. è fin troppo basilare. se sei abituato con firefox senti che ti manca qualcosa. se non fosse perchè su kde chrome è veramente un pugno nell’occhio, sarebbe questa l’unica vera altenativa a firefox. opera invece va benone ma consuma una vagonata di ram e io ne ho poca. non me lo posso permettere.
        aspetterò che passi a lucid.
        grazie.

        • 1 marzo 2010 alle 2:34

          ah ma se usi kde ce ne stanno di browser alternativi…

          comunque appena ho tempo lo carico pure per lucid.

  22. gyanny
    1 marzo 2010 alle 10:55

    grazie guido!

  23. cK_X
    24 marzo 2010 alle 14:52

    Và nettamente meglio del 3.5. Grazie!

  24. antdl
    24 marzo 2010 alle 17:39

    Ciao Guido, aggiornerai alla 3.6.2? Con l’antialiasing FF è tutta un’altra cosa.. :p

  25. ematux
    29 marzo 2010 alle 20:02

    Dopo tempo perso a ‘brancolare nel buio’ delle varie versioni di firefox 3.6 per Linux finalmente ho trovato quella giusta! Grazie mille anche da parte mia. Volevo chiederti una cosa: ho letto di un grave bug di firefox 3.6 che permetterebbe di avviare codice malevolo attraverso la decompressione dei font (fonte:http://www.pcworld.it/notizia/120064/2010-03-23/Firefox-3-6-2-risolto-bug-in-vista-della-gara-tra-hacker.html). Ho notato che ancora non hai aggiornato il repository, ma noi con linux corriamo dei rischi?

  26. flux
    2 aprile 2010 alle 16:35

    Ciao Guido, ma noto solo io caratteri strani nel tuo ultimo aggiornamento alla 3.6.2? Quasi quasi ritorno alla versione precedente, anche seguendo il tuo link consigliato non ho ottenuto miglioramenti… qualcuno ha riscontrato la stessa cosa?

    • Cierreics
      2 aprile 2010 alle 23:52

      @ flux

      Ciao a tutti, pure io ho notato un peggioramento dei font nell’interfaccia, sono più “snelli” e meno definiti!!😦

  27. Cierreics
    3 aprile 2010 alle 0:38

    Okkkkei, se non funge manco così ci rinuncio….:\\\

    <?xml version="1.0"?>
    <!DOCTYPE fontconfig SYSTEM "fonts.dtd">
    <fontconfig>
    <test compare="more" name="pixelsize" qual="any">
    <double>12</double>
    </test>
    <match target="font" >
    <edit mode="assign" name="rgba" >
    <const>none</const>
    </edit>
    </match>
    <match target="font" >
    <edit name="autohint" mode="assign" >
    <bool>true</bool>
    </edit>
    </match>
    <match target="font" >
    <edit mode="assign" name="hintstyle" >
    <const>hintslight</const>
    </edit>
    </match>
    <match target="font" >
    <edit mode="assign" name="lcdfilter" >
    <const>lcddefault</const>
    </edit>
    </match>
    <match target="font" >
    <edit mode="assign" name="antialias" >
    <bool>true</bool>
    </edit>
    </match>
    </fontconfig>

    • flux
      3 aprile 2010 alle 12:45

      grazie mille davvero, fanno sempre schifo ma non è colpa tua ehhee, la situazione è cmq migliorata, anche se mi sono trovato meglio 10 invece di 12… ma vorrei chiedere anche a Guido, ma possibile che non ci sia una soluzione a riguardo? grazie

    • 3 aprile 2010 alle 14:53

      mah, mi sembra peggiore semmai

  28. Cierreics
    3 aprile 2010 alle 19:26

    Io mi trovo bene, sono quasi ok, manca solo un pelo di nitidezza. Come font uso per tutto DejaVu Sans a grandezza 9.

  29. Cierreics
    4 aprile 2010 alle 16:48

    Ho aggiornato sul notebook, che ha uno schermo più nitido di quello che uso sul desktop….non è stata necessaria nessuna modifica, i font vanno bene, sono solo un pelino “snelli”, anzi il fonts.conf che ho postato peggiora leggermente le cose, come ha notato il buon Guido!!

    Quindi, come è ovvio, dipende dal display…:-)

    • 5 aprile 2010 alle 10:28

      Sullo stesso display la 3.6.2 ha i caratteri bruttissimi mentre la 3.6 andava benissimo; come si fa a tornare alla 3.6 con anti-aliasing? non toccherà mica fare il downgrade alla 3.5.8😦

      • 5 aprile 2010 alle 12:06

        disinstalla il pacchetto ttf-tahoma-replacement

  30. gyanny
    5 aprile 2010 alle 15:56

    vi segnalo che su lucid con l’aggiornamento a firefox 3.6.3 i caratteri sono stati sistemati.
    era anche ora aggiungo!

  31. Cierreics
    6 aprile 2010 alle 0:07

    Ottimo, ho appena aggiornato alla 3.6.3, i font sono tornati a posto!! Grazie Guido!!

  1. 24 febbraio 2010 alle 19:41
  2. 1 marzo 2010 alle 16:06

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: